import Typography from "@/shared/ui/components/Typography/Typography";
import "./AboutUs.scss";
import Image from "next/image";
import header from "./assets/header.svg";

const AboutUs = () => {
  return (
    <div className="about-us page-padding">
      <Typography element="h2">О нас</Typography>

      <Image src={header} alt="Header Image" />

      <h3>Don’t wait. The purpose of our lives is to be happy!</h3>

      <div className="about-us__descriptions">
        <p>
          arrival, your senses will be rewarded with the pleasant
          scent of lemongrass oil used to clean the natural wood found
          throughout the room, creating a relaxing atmosphere within
          the space. A wonderful serenity has taken possession of my
          entire soul, like these sweet mornings of spring which I
          enjoy with my whole heart. I am alone, and feel the charm of
          existence in this spot, which was created for the bliss of
          souls like mine. I am so happy, my dear friend, so absorbed
          in the exquisite.
        </p>
        <p>
          When you are ready to indulge your sense of excitement,
          check out the range of water- sports opportunities at the
          resort’s on-site water-sports center. Want to leave your
          stress on the water? The resort has kayaks, paddleboards, or
          the low-key pedal boats. Snorkeling equipment is available
          as well, so you can experience the ever-changing undersea
          environment. Not only do visitors to a bed and breakfast get
          a unique perspective on the place they are visiting, they
          have options for special packages not available in other
          hotel settings.{" "}
        </p>
        <p>
          Bed and breakfasts can partner easily with local businesses
          for a smoothly organized and highly personalized vacation
          experience. The Fife and Drum Inn offers options such as the
          Historic Triangle Package that includes three nights at the
          Inn, breakfasts, and admissions to historic Williamsburg,
          Jamestown, and Yorktown. Bed and breakfasts also lend
          themselves to romance.
        </p>
        <p>
          Part of the charm of a bed and breakfast is the uniqueness;
          art, décor, and food are integrated to create a complete
          experience. For example, the Fife and Drum retains the
          colonial feel of the area in all its guest rooms. Special
          features include antique furnishings, elegant four poster
          beds in some guest rooms, as well folk art and artifacts
          from the restoration period of the historic area available
          for guests to enjoy.
        </p>
      </div>
    </div>
  );
};

export default AboutUs;
