import dynamic from "next/dynamic";
import Header from "@/widgets/Header/Header";
import StatisticsSection from "@/widgets/StatisticsSection/StatisticsSection";
import RatingSection from "@/widgets/RatingSection/RatingSection";
import NewsSection from "@/widgets/NewsSection/NewsSection";

const DynamicMap = dynamic(
  () => import("@/widgets/MapSection/MapSection"),
  {
    ssr: false,
  }
);

const Home = async ({
  searchParams,
}: {
  searchParams: {
    ["тип-дороги"]: string;
    ["поиск-на-карте"]: string;
    ["поиск-рейтинг"]: string;
  };
}) => {
  return (
    <div className="home">
      <Header />
      <StatisticsSection />
      <DynamicMap
        categories={searchParams["тип-дороги"]}
        queryMap={searchParams["поиск-на-карте"]}
        queryRating={searchParams["поиск-рейтинг"]}
      />
      <RatingSection
        categories={searchParams["тип-дороги"]}
        queryMap={searchParams["поиск-на-карте"]}
        queryRating={searchParams["поиск-рейтинг"]}
      />
      <NewsSection />
    </div>
  );
};

export default Home;
