import Typography from "@/shared/ui/components/Typography/Typography";
import "./Profile.scss";
import ProfileNav from "@/widgets/ProfileNav/ProfileNav";
import AuthGuard from "./AuthGuard";

const Profile = ({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) => {
  return (
    <div className="profile page-padding">
      <Typography element="h2">Личный кабинет</Typography>
      <ProfileNav />

      <AuthGuard>{children}</AuthGuard>
    </div>
  );
};

export default Profile;
