import { apiInstance } from "@/shared/config/apiConfig";
import { authConfig } from "@/shared/config/authConfig";
import { IMyReportsList } from "@/shared/types/my-reports";
import ProfileTable from "@/widgets/ProfileTable/ProfileTable";
import { getServerSession } from "next-auth";
import React from "react";

const MyReports = async () => {
  const session = await getServerSession(authConfig);

  const getMyReports = async () => {
    const Authorization = `Bearer ${session?.access_token}`;
    const config = {
      headers: {
        Authorization,
      },
    };
    const res = await apiInstance.get<IMyReportsList>(
      "/users/reports/",
      config
    );

    return res.data;
  };

  const data: IMyReportsList = await getMyReports();
  return (
    <div>
      <ProfileTable reports={data} />
    </div>
  );
};

export default MyReports;
