import "@/shared/ui/auth-classes.scss";
import Image from "next/image";
import flag from "./icons/flag.svg";
import Link from "next/link";
import SignUpForm from "@/widgets/SignUpForm/SignUpForm";

const SignUp = () => {
  return (
    <div className="auth-page">
      <div className="auth-wrapper">
        <div className="auth-icon">
          <Image src={flag} alt="Flag Icon" />
        </div>
        <div className="auth-header">
          <h2>Регистрация</h2>
          <p>Пожалуйста, введите свои данные</p>
        </div>

        <SignUpForm />

        <p className="auth-redirect">
          Уже есть аккаунт?{" "}
          <Link href="/sign-in">Войти в аккаунт</Link>
        </p>
      </div>
    </div>
  );
};

export default SignUp;
