import Typography from "@/shared/ui/components/Typography/Typography";
import "./Volunteers.scss";
import { apiInstance } from "@/shared/config/apiConfig";
import { AxiosError } from "axios";
import { IUserRatings } from "@/shared/types/user-rating-type";
import VolunteersTable from "@/widgets/VolunteersTable/VolunteersTable";

const Volunteers = async () => {
  const getVolunteers = async (): Promise<
    IUserRatings[] | string
  > => {
    try {
      const response = await apiInstance.get<IUserRatings[]>(
        "/report/user_ratings/"
      );

      return response.data;
    } catch (error: unknown) {
      if (error instanceof AxiosError) {
        return error.message;
      } else {
        return "Произошла непредвиденная ошибк";
      }
    }
  };

  const data = await getVolunteers();
  return (
    <div className="volunteers page-padding">
      <Typography element="h2">Волонтеры</Typography>
      <VolunteersTable firstData={data} />
    </div>
  );
};

export default Volunteers;
